/**
 * 
 */
package clime.messadmin.core;

/**
 * Should be a Java 5 Enum...
 * @author C&eacute;drik LIME
 */
public interface Constants {
	/**
	 * Key for a session message
	 */
	public static final String SESSION_MESSAGE_KEY = "clime.messadmin.message";//$NON-NLS-1$
	/**
	 * Key for a global (application-scope) message
	 */
	public static final String GLOBAL_MESSAGE_KEY = "clime.messadmin.message.global";//$NON-NLS-1$
	/**
	 * Key for last application-level message display timestamp
	 */
	public static final String GLOBAL_MESSAGE_TIMESTAMP_KEY = "clime.messadmin.message.global.timestamp";//$NON-NLS-1$
	/**
	 * Minimum time in milliseconds between application-level message display: {@value}
	 */
	public static final long GLOBAL_MESSAGE_DELTA_TIME_MIN = 60*1000;//TODO externalize in .properties
	
	/* HttpServletRequest parameter constants */
	
	public static final String APPLICATION_MESSAGE = "message";//$NON-NLS-1$
	public static final String APPLICATION_ERROR   = "error";//$NON-NLS-1$

}
